Bug 1529736 - marked: Cross-site Scripting (XSS) via autolink with mangling disabled
Summary: marked: Cross-site Scripting (XSS) via autolink with mangling disabled
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1529737 1529738
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-29 17:27 UTC by Laura Pardo
Modified: 2020-05-31 07:28 UTC (History)
1 user (show)

Fixed In Version: marked 0.3.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:35:58 UTC


Attachments (Terms of Use)

Description Laura Pardo 2017-12-29 17:27:59 UTC
A flaw was found in marked. When mangling is disabled via option mangle, marked doesn't escape target href. This may allow an attacker to create new tags and inject arbitrary html-event.


[UPSTREAM BUG]
https://github.com/chjj/marked/issues/926

[UPSTREAM PATCH]
https://github.com/UziTech/marked/commit/cb72584c5d9d32ebfdbb99e35fb9b81af2b79686

Comment 1 Laura Pardo 2017-12-29 17:28:20 UTC
Created marked tracking bugs for this issue:

Affects: epel-all [bug 1529738]
Affects: fedora-all [bug 1529737]

Comment 2 Product Security DevOps Team 2019-06-08 03:35:58 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.